Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep
A B C D E F G I L M N O P R S T U V W

A

ANCHOR_KEY - Static variable in class org.roller.presentation.RollerRequest
 
AccessDeniedException - exception org.roller.presentation.AccessDeniedException.
Indicates user is not authorized to access a resource.
AccessDeniedException(String, Throwable) - Constructor for class org.roller.presentation.AccessDeniedException
 
AccessDeniedException(Throwable) - Constructor for class org.roller.presentation.AccessDeniedException
 
AccessDeniedException(String) - Constructor for class org.roller.presentation.AccessDeniedException
 
AccessDeniedException() - Constructor for class org.roller.presentation.AccessDeniedException
 
Authenticator - interface org.roller.presentation.Authenticator.
Interface used by Roller to check user authentication and role
append(Object, Object, StringBuffer, String) - Static method in class org.roller.presentation.RequestUtil
Appends new key and value pair to query string

B

BOOKMARKID_KEY - Static variable in class org.roller.presentation.RollerRequest
 
BREADCRUMB - Static variable in class org.roller.presentation.RollerSession
 

C

clearBreadCrumbTrail(HttpServletRequest) - Static method in class org.roller.presentation.RollerSession
Clear bread crumb trail.
clearSession(HttpSessionEvent) - Method in class org.roller.presentation.RollerSession
 
contextDestroyed(ServletContextEvent) - Method in class org.roller.presentation.RollerContext
Responds to app-destroy by saving the indexManager's information
contextInitialized(ServletContextEvent) - Method in class org.roller.presentation.RollerContext
Responds to context initialization event by processing context paramters for easy access by the rest of the application.
createEntryPermalink(WeblogEntryData, HttpServletRequest, boolean) - Method in class org.roller.presentation.RollerContext
 
createQueryStringFromMap(Map, String) - Static method in class org.roller.presentation.RequestUtil
Builds a query string from a given map of parameters

D

DefaultAuthenticator - class org.roller.presentation.DefaultAuthenticator.
Class used by Roller to check user authentication and role
DefaultAuthenticator() - Constructor for class org.roller.presentation.DefaultAuthenticator
 
deleteCookie(HttpServletResponse, Cookie) - Static method in class org.roller.presentation.RequestUtil
Convenience method for deleting a cookie by name
doGet(HttpServletRequest, HttpServletResponse) - Method in class org.roller.presentation.LoginServlet
Route the user to the execute method
doPost(HttpServletRequest, HttpServletResponse) - Method in class org.roller.presentation.LoginServlet
Route the user to the execute method

E

ERROR_MESSAGE - Static variable in class org.roller.presentation.RollerSession
 
EXCERPTS_KEY - Static variable in class org.roller.presentation.RollerRequest
 
execute(HttpServletRequest, HttpServletResponse) - Method in class org.roller.presentation.LoginServlet
Process the specified HTTP request, and create the corresponding HTTP response (or forward to another web component that will create it).
execute(ActionMapping, ActionForm, HttpServletRequest, HttpServletResponse) - Method in class org.roller.presentation.MainPageAction
Loads model and forwards to main.page.

F

FOLDERID_KEY - Static variable in class org.roller.presentation.RollerRequest
 

G

getAbsoluteContextUrl(HttpServletRequest) - Method in class org.roller.presentation.RollerContext
Get absolute URL of Roller context
getAbsoluteContextUrl() - Method in class org.roller.presentation.RollerContext
For use by MetaWeblog API.
getAuthenticatedUserName(HttpServletRequest) - Method in interface org.roller.presentation.Authenticator
Return the name of the request's authenticated user, or null if none
getAuthenticatedUserName(HttpServletRequest) - Method in class org.roller.presentation.DefaultAuthenticator
Return the name of the request's authenticated user, or null if none
getAuthenticator() - Method in class org.roller.presentation.RollerContext
Get authenticator
getBookmark() - Method in class org.roller.presentation.RollerRequest
Gets the BookmarkData specified by the request, or null.
getBreadCrumb(HttpServletRequest, boolean) - Static method in class org.roller.presentation.RollerSession
Store the url of the latest request stored in the session.
getBreadCrumb(HttpServletRequest) - Static method in class org.roller.presentation.RollerSession
Store the url of the latest request stored in the session.
getConfigPath() - Method in class org.roller.presentation.RollerContext
Determine where we should read/write roller-config.xml to.
getContextUrl(HttpServletRequest, String) - Method in class org.roller.presentation.RollerContext
Returns the full url for the website of the specified username.
getContextUrl(HttpServletRequest) - Method in class org.roller.presentation.RollerContext
Get absolute URL of Roller context
getCookie(HttpServletRequest, String) - Static method in class org.roller.presentation.RequestUtil
Convenience method to get a cookie by name
getDate() - Method in class org.roller.presentation.RollerRequest
Gets the date specified by the request, or null.
getDate(boolean) - Method in class org.roller.presentation.RollerRequest
Gets the date specified by the request
getDateString() - Method in class org.roller.presentation.RollerRequest
Gets the YYYYMMDD date string specified by the request, or null.
getDateString(boolean) - Method in class org.roller.presentation.RollerRequest
Gets the date specified by the request
getFolder() - Method in class org.roller.presentation.RollerRequest
Gets the FolderData specified by the request, or null.
getFromRequest(String) - Method in class org.roller.presentation.RollerRequest
Get attribute from mRequest, and if that fails try session
getIndexManager() - Method in class org.roller.presentation.RollerContext
 
getNewUserPath() - Method in class org.roller.presentation.RollerContext
Return the real filepath to the new-user.xml.
getNewsfeed() - Method in class org.roller.presentation.RollerRequest
Gets the NewsfeedData specified by the request, or null.
getPage() - Method in class org.roller.presentation.RollerRequest
Gets the PageData specified by the request, or null.
getPageContext() - Method in class org.roller.presentation.RollerRequest
Get HttpServletmRequest that is wrapped by this RollerRequest
getPageLink() - Method in class org.roller.presentation.RollerRequest
Gets the page link name specified by the request, or null.
getPages() - Method in class org.roller.presentation.RollerRequest
Get Page array for user name specified in mRequest
getPathInfo() - Method in class org.roller.presentation.RollerRequest
Gets the path-info specified by the request, or null.
getPopularWebsites() - Method in class org.roller.presentation.MainPageAction.Data
Get list of most popular websites in terms of day hits
getRecentWeblogEntries() - Method in class org.roller.presentation.MainPageAction.Data
Get list of recent weblog entries
getRecentWeblogEntries(int) - Method in class org.roller.presentation.RollerRequest
Get recent weblog entries for user name specified in mRequest.
getRecentWeblogEntries(int, boolean) - Method in class org.roller.presentation.RollerRequest
Get recent weblog entries for user name specified in mRequest.
getRefererURL() - Method in class org.roller.presentation.RollerRequest
Gets the Referer URL specified by the request, or null.
getRequest() - Method in class org.roller.presentation.RollerRequest
Get HttpServletmRequest that is wrapped by this RollerRequest
getRequestParameters(HttpServletRequest) - Static method in class org.roller.presentation.RequestUtil
Creates query String from request body parameters
getRequestURL() - Method in class org.roller.presentation.RollerRequest
Gets the Request URL specified by the request, or null.
getRoller(HttpServletRequest) - Static method in class org.roller.presentation.RollerContext
Get an instance of Roller from the RollerFactory.
getRoller() - Method in class org.roller.presentation.RollerRequest
Get Roller instance from
getRollerBuildTime() - Method in class org.roller.presentation.RollerContext
Roller build time
getRollerConfig() - Method in class org.roller.presentation.RollerContext
Returns RollerConfig object
getRollerContext(ServletContext) - Static method in class org.roller.presentation.RollerContext
 
getRollerContext(HttpServletRequest) - Static method in class org.roller.presentation.RollerContext
 
getRollerRequest(HttpServletRequest, ServletContext) - Static method in class org.roller.presentation.RollerRequest
Get the RollerRequest object that is stored in the request.
getRollerRequest(HttpServletRequest) - Static method in class org.roller.presentation.RollerRequest
Get the RollerRequest object that is stored in the request.
getRollerRequest(PageContext) - Static method in class org.roller.presentation.RollerRequest
Get the RollerRequest object that is stored in the request.
getRollerRequest() - Static method in class org.roller.presentation.RollerRequest
Get RollerRequest object for the current thread using EVIL MAGIC, do not use unless you absolutely, positively, cannot use on of the getRollerRequest() methods.
getRollerVersion() - Method in class org.roller.presentation.RollerContext
Roller version
getServletContext() - Static method in class org.roller.presentation.RollerContext
Returns the mContext.
getServletContext() - Method in class org.roller.presentation.RollerRequest
Get the RollerRequest object that is stored in the requeset.
getThemeFilenames(String) - Static method in class org.roller.presentation.RollerContext
 
getThemeNames() - Method in class org.roller.presentation.RollerContext
Get the list of Theme names.
getThemePath(String) - Method in class org.roller.presentation.RollerContext
Return the real filepath to the theme.
getThreadManager() - Method in class org.roller.presentation.RollerContext
 
getTopLevelFolders() - Method in class org.roller.presentation.RollerRequest
Get top level FolderData array for user name specified in mRequest
getUploadDir(ServletContext) - Static method in class org.roller.presentation.RollerContext
Gets the hard-drive location of the upload directory.
getUploadPath(ServletContext) - Static method in class org.roller.presentation.RollerContext
Gets the base url for the upload directory.
getUser(String) - Method in class org.roller.presentation.RollerRequest
Get user by name.
getUser() - Method in class org.roller.presentation.RollerRequest
Gets the UserData specified by the request, or null.
getWeblogCategories() - Method in class org.roller.presentation.RollerRequest
Get WeblogCategoryData array for user name specified in mRequest
getWeblogCategory() - Method in class org.roller.presentation.RollerRequest
Gets the WeblogCategoryData specified by the request, or null.
getWeblogEntry() - Method in class org.roller.presentation.RollerRequest
Gets the WeblogEntryData specified by the request, or null.
getWeblogEntryCount() - Method in class org.roller.presentation.RollerRequest
 
getWeblogEntryMonthMap(Date, String, boolean, boolean) - Method in class org.roller.presentation.RollerRequest
Get month map of weblog entries for user name specified in mRequest.
getWebsite() - Method in class org.roller.presentation.RollerRequest
Gets the WebsiteData specified by the request, or null.

I

INDEX_MGR_KEY - Static variable in class org.roller.presentation.RollerContext
 
init() - Method in class org.roller.presentation.LoginServlet
Validates the Init and Context parameters, configures authentication URL
init() - Method in class org.roller.presentation.RollerRequest
 
isAdminUser() - Method in class org.roller.presentation.RollerRequest
Is mRequest's user the admin user?
isAuthenticatedUserInRole(HttpServletRequest, String) - Method in interface org.roller.presentation.Authenticator
Return true if authenticated user is in the specified role
isAuthenticatedUserInRole(HttpServletRequest, String) - Method in class org.roller.presentation.DefaultAuthenticator
Return true if authenticated user is in the specified role
isDateSpecified() - Method in class org.roller.presentation.RollerRequest
 
isEnableLinkback() - Method in class org.roller.presentation.RollerRequest
 
isUserAuthorizedToEdit() - Method in class org.roller.presentation.RollerRequest
Is mRequest's user authorized to edit the mRequested resource

L

LoginServlet - class org.roller.presentation.LoginServlet.
Implementation of HttpServlet that is used to get a username and password and mEncrypt the password before sending to container-managed authentication.
LoginServlet() - Constructor for class org.roller.presentation.LoginServlet
 
log(String) - Method in class org.roller.presentation.ServletLogger
 
log(String, int) - Method in class org.roller.presentation.ServletLogger
 
log(String, Throwable) - Method in class org.roller.presentation.ServletLogger
 
log(String, Throwable, int) - Method in class org.roller.presentation.ServletLogger
 

M

MEMDEBUG_KEY - Static variable in class org.roller.presentation.RollerContext
 
MainPageAction - class org.roller.presentation.MainPageAction.
Main page action for Roller.
MainPageAction() - Constructor for class org.roller.presentation.MainPageAction
 
MainPageAction.Data - class org.roller.presentation.MainPageAction.Data.
Kludge that allows page to retrieve data from within OSCache tags.
MainPageAction.Data(HttpServletRequest) - Constructor for class org.roller.presentation.MainPageAction.Data
 
mAlgorithm - Static variable in class org.roller.presentation.LoginServlet
 
mAuthURL - Static variable in class org.roller.presentation.LoginServlet
 
mAuthenticator - Static variable in class org.roller.presentation.RollerContext
 
mBookmark - Variable in class org.roller.presentation.RollerRequest
 
mBuildTime - Variable in class org.roller.presentation.RollerContext
 
mConfig - Variable in class org.roller.presentation.RollerContext
 
mContext - Static variable in class org.roller.presentation.RollerContext
 
mContext - Variable in class org.roller.presentation.RollerRequest
 
mContext - Variable in class org.roller.presentation.ServletLogger
 
mDate - Variable in class org.roller.presentation.RollerRequest
 
mDateString - Variable in class org.roller.presentation.RollerRequest
 
mDebug - Variable in class org.roller.presentation.ServletLogger
 
mEncrypt - Static variable in class org.roller.presentation.LoginServlet
 
mFmt - Variable in class org.roller.presentation.RollerRequest
 
mIndexManager - Variable in class org.roller.presentation.RollerContext
 
mIsDateSpecified - Variable in class org.roller.presentation.RollerRequest
 
mLogger - Variable in class org.roller.presentation.LoginServlet
 
mLogger - Static variable in class org.roller.presentation.MainPageAction
 
mLogger - Static variable in class org.roller.presentation.RollerContext
 
mLogger - Static variable in class org.roller.presentation.RollerRequest
 
mLogger - Static variable in class org.roller.presentation.RollerSession
 
mLogger - Static variable in class org.roller.presentation.TurnoverReferersTask
 
mMemDebug - Variable in class org.roller.presentation.RollerContext
 
mNewsfeed - Variable in class org.roller.presentation.RollerRequest
 
mPage - Variable in class org.roller.presentation.RollerRequest
 
mPageContext - Variable in class org.roller.presentation.RollerRequest
 
mPageLink - Variable in class org.roller.presentation.RollerRequest
 
mPathInfo - Variable in class org.roller.presentation.RollerRequest
 
mPos - Variable in class org.roller.presentation.RollerRequest
 
mRequest - Variable in class org.roller.presentation.MainPageAction.Data
 
mRequest - Variable in class org.roller.presentation.RollerRequest
 
mRollerRequestTLS - Static variable in class org.roller.presentation.RollerRequest
 
mSessionCount - Variable in class org.roller.presentation.RollerContext
 
mThreadManager - Variable in class org.roller.presentation.RollerContext
 
mUser - Variable in class org.roller.presentation.RollerRequest
 
mVersion - Variable in class org.roller.presentation.RollerContext
 
mWeblogCategory - Variable in class org.roller.presentation.RollerRequest
 
mWeblogEntry - Variable in class org.roller.presentation.RollerRequest
 

N

NEWSFEEDID_KEY - Static variable in class org.roller.presentation.RollerRequest
 

O

org.roller.presentation - package org.roller.presentation
 

P

PAGEID_KEY - Static variable in class org.roller.presentation.RollerRequest
 
PAGELINK_KEY - Static variable in class org.roller.presentation.RollerRequest
 
parseDate(String) - Method in class org.roller.presentation.RollerRequest
 
parsePathInfo(String[]) - Method in class org.roller.presentation.RollerRequest
Parse pathInfo and throw exception if it is invalid
parseRequestParams() - Method in class org.roller.presentation.RollerRequest
Parse user, page, and entry from request params if possible
period - Variable in class org.roller.presentation.TurnoverReferersTask
 

R

REFERERID_KEY - Static variable in class org.roller.presentation.RollerRequest
 
ROLLER_CONTEXT - Static variable in class org.roller.presentation.RollerContext
 
ROLLER_KEY - Static variable in class org.roller.presentation.RollerContext
 
ROLLER_REQUEST - Static variable in class org.roller.presentation.RollerRequest
 
RequestUtil - class org.roller.presentation.RequestUtil.
 
RequestUtil() - Constructor for class org.roller.presentation.RequestUtil
 
RollerContext - class org.roller.presentation.RollerContext.
Responds to app init/destroy events and holds Roller instance.
RollerContext() - Constructor for class org.roller.presentation.RollerContext
Constructor for RollerContext.
RollerRequest - class org.roller.presentation.RollerRequest.
Access to objects and values specified by request.
RollerRequest(HttpServletRequest, ServletContext) - Constructor for class org.roller.presentation.RollerRequest
Construct Roller request for a Servlet request
RollerRequest(ServletRequest, ServletContext) - Constructor for class org.roller.presentation.RollerRequest
Convenience
RollerRequest(PageContext) - Constructor for class org.roller.presentation.RollerRequest
 
RollerSession - class org.roller.presentation.RollerSession.
Roller session handles session startup and shutdown.
RollerSession() - Constructor for class org.roller.presentation.RollerSession
 
readRollerConfig() - Method in class org.roller.presentation.RollerContext
Read Roller configuration parameters from roller-config.xml.
readThemeMacros(String) - Method in class org.roller.presentation.RollerContext
Reads the Theme files from harddisk (if necessary) and places them into a ThemeCache.
reclaimRequestAttributes(HttpServletRequest) - Static method in class org.roller.presentation.RequestUtil
Returns request attributes from session to request
refManager - Variable in class org.roller.presentation.TurnoverReferersTask
 
refreshUserDisplayBeans() - Method in class org.roller.presentation.RollerContext
 
releaseRoller() - Method in class org.roller.presentation.RollerRequest
 
run() - Method in class org.roller.presentation.TurnoverReferersTask
 

S

STATUS_MESSAGE - Static variable in class org.roller.presentation.RollerSession
 
STOWED_REQUEST_ATTRIBS - Static variable in class org.roller.presentation.RequestUtil
 
ServletLogger - class org.roller.presentation.ServletLogger.
 
ServletLogger(ServletContext) - Constructor for class org.roller.presentation.ServletLogger
 
saveRollerConfig() - Method in class org.roller.presentation.RollerContext
Write RollerConfig to roller-config.xml.
sessionCreated(HttpSessionEvent) - Method in class org.roller.presentation.RollerContext
 
sessionCreated(HttpSessionEvent) - Method in class org.roller.presentation.RollerSession
Create session's Roller instance
sessionDestroyed(HttpSessionEvent) - Method in class org.roller.presentation.RollerContext
 
sessionDestroyed(HttpSessionEvent) - Method in class org.roller.presentation.RollerSession
 
sessionDidActivate(HttpSessionEvent) - Method in class org.roller.presentation.RollerSession
Init session as if it was new
sessionWillPassivate(HttpSessionEvent) - Method in class org.roller.presentation.RollerSession
Purge session before passivation.
setCookie(HttpServletResponse, String, String, boolean) - Static method in class org.roller.presentation.RequestUtil
Convenience method to set a cookie
setDebug(int) - Method in class org.roller.presentation.ServletLogger
 
setPageContext(PageContext) - Method in class org.roller.presentation.RollerRequest
 
setRollerConfig(RollerConfig) - Method in class org.roller.presentation.RollerContext
Sets a new RollerConfig object
setupIndexManager() - Method in class org.roller.presentation.RollerContext
 
setupSpellChecker() - Method in class org.roller.presentation.RollerContext
RollerSpellCheck must be initialized with a dictionary file so that it can return valid a SpellChecker.
setupThreadManager() - Method in class org.roller.presentation.RollerContext
 
stowRequestAttributes(HttpServletRequest) - Static method in class org.roller.presentation.RequestUtil
Stores request attributes in session

T

TurnoverReferersTask - class org.roller.presentation.TurnoverReferersTask.
 
TurnoverReferersTask(RefererManager) - Constructor for class org.roller.presentation.TurnoverReferersTask
 
toString() - Method in class org.roller.presentation.RollerRequest
 

U

USERNAME_KEY - Static variable in class org.roller.presentation.RollerRequest
 
USER_DISPLAY_BEAN_KEY - Static variable in class org.roller.presentation.RollerContext
 
USER_RESOURCES - Static variable in class org.roller.presentation.RollerContext
 

V

VERSION_KEY - Static variable in class org.roller.presentation.RollerContext
 

W

WEBLOGCATEGORYID_KEY - Static variable in class org.roller.presentation.RollerRequest
 
WEBLOGCATEGORYNAME_KEY - Static variable in class org.roller.presentation.RollerRequest
 
WEBLOGCOMMENTID_KEY - Static variable in class org.roller.presentation.RollerRequest
 
WEBLOGDAY_KEY - Static variable in class org.roller.presentation.RollerRequest
 
WEBLOGENTRIES_KEY - Static variable in class org.roller.presentation.RollerRequest
 
WEBLOGENTRYID_KEY - Static variable in class org.roller.presentation.RollerRequest
 
WEBLOGENTRY_COUNT - Static variable in class org.roller.presentation.RollerRequest
 
WEBSITEID_KEY - Static variable in class org.roller.presentation.RollerRequest
 

A B C D E F G I L M N O P R S T U V W